{ lib, fetchFromGitHub, python310Packages, wrapQtAppsHook, pkgs }:

let
  pname = "nagstamon";
  version = "v3.10.1";
in python310Packages.buildPythonApplication rec {
  inherit pname;
  inherit version;

  src = fetchFromGitHub {
    owner = "HenriWahl";
    repo = "Nagstamon";
    rev = version;
    sha256 = "sha256-TdwvHQDDQqZ6uvdCTJCMCdivM/vaZpMrpLRMKN2y76Y=";
  };

  doCheck = false;

  nativeBuildInputs = [ wrapQtAppsHook ];
  postFixup = ''
    wrapQtApp $out/bin/nagstamon.py
  '';

  propagatedBuildInputs = [
    python310Packages.beautifulsoup4
    python310Packages.configparser
    python310Packages.dateutil
    python310Packages.keyring
    python310Packages.lxml
    python310Packages.psutil
    python310Packages.pyqt5_with_qtmultimedia
    python310Packages.requests
    python310Packages.requests-kerberos
    python310Packages.setuptools
    python310Packages.xlib
  ];

  meta = with lib; {
    description = "A status monitor for the desktop";
    homepage = "https://nagstamon.ifw-dresden.de/";
    license = licenses.gpl2;
    maintainers = with maintainers; [ foosinn ];
    inherit version;
  };
}
